Summary:       Toolkit for GUI development
Name:          fox
Version:       1.6.37
Release:       1%{?dist}
License:       LGPLv2
Group:         Development/Libraries
URL:           http://www.fox-toolkit.com
Source0:       http://www.fox-toolkit.org/ftp/fox-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel bzip2-devel
BuildRequires: libpng-devel libjpeg-devel libtiff-devel
BuildRequires: xorg-x11-proto-devel mesa-libGLU-devel mesa-libGL-devel 
BuildRequires: libXext-devel chrpath

%description
FOX is a C++-based toolkit for GUI development. It includes a rich set
of widgets and has powerful yet simple layout managers, MDI widgets,
and mega-widgets. FOX incorporates support for XDND for drag and drop,
X clipboard and X Selection, watching other I/O channels and sockets,
timers and idle processing, object serialization and deserialization,
a registry to save persistent settings, and 3D widgets using Mesa or
OpenGL. FOX works on Linux, IRIX, Solaris, HP/UX, AIX, Tru64 Unix,
Windows 9x,NT,2K (VC++, GNUWIN32, Borland, VisualAge C++), FreeBSD,
and Sequent.

%package devel
Summary:  Header files, libraries and development documentation for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and
development documentation for %{name}. If you like to develop programs
using %{name}, you will need to install %{name}-devel.

%package tools
Summary:  Various tools from %{name} distribution
Group:    Applications/Engineering

%description tools
This package contains various tools from the %{name} toolkit distribution,
 * shutterbug - screen snapshot application
 * reswrap    - turn images, text, and more to C++ data array

%package calculator
Summary:  Calculator based on Fox toolkit
Group:    Applications/Engineering
License:  GPLv2

%description calculator
The FOX calculator is a simple desktop calculator geared towards the
programmer.  It supports not only a full complement of scientific
functions, but also common operations that programmers need, such as
bitwise operations, bitwise shifting, and base-2 logarithm and
exponents, and numeric conversion between hexadecimal, octal, binary,
and decimal.

%package pathfinder
Summary:  PathFinder File Browser
Group:    User Interface/Desktops
License:  GPLv2

%description pathfinder
PathFinder is a file browser application written using the FOX
Toolkit.

%package adie
Summary:  Adie Programmer's Text Editor
Group:    Applications/Editors
License:  GPLv2

%description adie
Adie is a fast and convenient programming text editor written using
the FOX Toolkit.

%prep
%setup -q
# Hack to compile with correct flags
%{__sed} -i -e \
 's|CXXFLAGS="${CXXFLAGS} -Wall -W -Woverloaded-virtual -Wformat"|CXXFLAGS="%{optflags}"|' configure 
for f in AUTHORS INSTALL doc/styles.css doc/menu.css; do
    mv $f $f.iso88591
    iconv -f ISO-8859-1 -t UTF-8 -o $f $f.iso88591
    touch -r $f.iso88591 $f
    rm -f $f.iso88591
done

%build
%configure --enable-release --enable-threadsafe
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__mv} %{buildroot}%{_datadir}/doc/fox-* rpmdocs
find %{buildroot} -name *.la -delete
find %{buildroot} -name *.a -delete

# Move to less generic names
mv %{buildroot}%{_bindir}/calculator %{buildroot}%{_bindir}/fox-calculator
mv %{buildroot}%{_bindir}/PathFinder %{buildroot}%{_bindir}/fox-PathFinder
mv %{buildroot}%{_mandir}/man1/calculator.1 \
   %{buildroot}%{_mandir}/man1/fox-calculator.1
mv %{buildroot}%{_mandir}/man1/PathFinder.1 \
   %{buildroot}%{_mandir}/man1/fox-PathFinder.1

# Remove some rpaths
for f in \
   %{buildroot}%{_bindir}/{adie,fox-calculator,fox-PathFinder,shutterbug}; do
    chrpath --delete $f
done

# Init file, not executable
%{__chmod} 0644 %{buildroot}%{_bindir}/Adie.stx

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc ADDITIONS AUTHORS INSTALL LICENSE README rpmdocs/*
%{_libdir}/libCHART-*.so.*
%{_libdir}/libFOX-*.so.*

%files devel
%defattr(-, root, root, -)
%{_bindir}/fox-config
%{_includedir}/fox-*/
%{_libdir}/libCHART-*.so
%{_libdir}/libFOX-*.so
%{_libdir}/pkgconfig/fox.pc

%files tools
%defattr(-, root, root, -)
%{_bindir}/reswrap
%{_mandir}/man1/reswrap.1*
%{_bindir}/shutterbug
%{_mandir}/man1/shutterbug.1*

%files calculator
%defattr(-, root, root, -)
%{_bindir}/fox-calculator
%{_mandir}/man1/fox-calculator.1*

%files adie
%defattr(-, root, root, -)
%{_bindir}/adie
%{_bindir}/Adie.stx
%{_mandir}/man1/adie.1*

%files pathfinder
%defattr(-, root, root, -)
%{_bindir}/fox-PathFinder
%{_mandir}/man1/fox-PathFinder.1*

%changelog
* Sat Jan 02 2010 Terje Rosten <terje.rosten@ntnu.no> - 1.6.37-1
- Add some fedoraism

* Tue Nov 22 2005 Dries Verachtert <dries@ulyssis.org> - 1.4.24-1
- Initial package
